Ask Your Question
0

update problem package: kmod-wl-4.0.7-200.fc21.x86_64

asked 2015-07-23 16:13:39 -0500

dagrin gravatar image

Hei,

I ve got this update problem for å couple of weeks. When i try to upgrade, I get this message in the end of all updates: Erro: Package: kmod-wl-4.0.7-200.fc21.x86_64-6.30.223.248-8.fc21.5.x86_64 (rpmfusion-nonfree-updates) Requires: kernel-uname-r = 4.0.7-200.fc21.x86_64

I have encountered this many times before, but then the missing packages appeared after a few days. Can anybody tell me if it's summer, or if I hav done something wrong?

Dag R

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
0

answered 2015-07-24 06:46:02 -0500

sergiomb gravatar image

updated 2015-07-24 09:20:01 -0500

wl-kmod-6.30.223.248-8.fc21.7

have been pushed to testing some minutes ago

Subject:    RPM Fusion (Fedora - nonfree) Package Build Report 2015-07-24
Date:   Fri, 24 Jul 2015 13:15:14 +0200 (CEST) (24-07-2015 12:15:14)
(snip)
Packages built and released for RPM Fusion (Fedora - nonfree) testing/21: 5
(snip)
wl-kmod-6.30.223.248-8.fc21.7

Replying to the question:

yes

repoquery kmod-wl --provides

kmod-wl = 6.30.223.248-8.fc21.7
kmod-wl(x86-64) = 6.30.223.248-8.fc21.7
wl-kmod = 6.30.223.248-8.fc21.7
edit flag offensive delete link more

Comments

wl-kmod & kmod-wl are they both the same?

anishjp gravatar imageanishjp ( 2015-07-24 07:19:16 -0500 )edit
0

answered 2015-07-23 16:25:39 -0500

aeperezt gravatar image

rpmfusion does not update kernel modules as fas Fedora does so when you get a new kernel you must wait until rpmfusion update the kernel module kmod-wl normally used or require if you have a broadcom wireless card, to go around this you could install akmod-wl that will recompile the module when you update to a new kernel. If you have no need to kmod-wl module then you can safe it remove. Please verify that you do not require kmod-wl before removing it.

Good Luck.

edit flag offensive delete link more

Comments

Ok. So I have two options. 1. Wait for det kernel module. 2. Install akmod-wl.

dagrin gravatar imagedagrin ( 2015-07-24 02:47:19 -0500 )edit

That is right.

aeperezt gravatar imageaeperezt ( 2015-07-24 09:49:19 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2015-07-23 16:13:39 -0500

Seen: 377 times

Last updated: Jul 24 '15